module.exports = {
  meta: {
    docs: {},
    fixable: 'code',
    schema: [],
  },

  create: (context) => ({
    ImportDeclaration(node) {
      const { source, specifiers } = node
      console.log(
        'specifiers[0].local.name',
        source.value,
        specifiers[0].local.name
      )
      if (source.value.includes('@mui/system/')) {
        context.report({
          node,
          message: `Do not import from @mui/system`,
          fix: (fixer) => {
            const sourceCode = context.getSourceCode()

            return fixer.replaceText(
              node,
              sourceCode.getText().replace('@mui/system', '@mui/material')
            )
          },
        })
      }
    },
  }),
}
