const eslint = require('eslint')
const rule = require('./do-not-use-mui-system')

const ruleTester = new eslint.RuleTester({
  parserOptions: { sourceType: 'module' },
})
ruleTester.run('do-not-use-mui-system', rule, {
  valid: ["import Button from '@mui/material/Button'"],

  invalid: [
    {
      code: "import Button from '@mui/system/Button'",
      errors: [
        {
          message: 'Do not import from @mui/system',
        },
      ],
      output: "import Button from '@mui/material/Button'",
    },
  ],
})
